Search documentation of wx

# wxFileDirPickerEvent (wx v2.5.4)

Copy Markdown View Source

This event class is used for the events generated by `wxFilePickerCtrl` and by `wxDirPickerCtrl`.

See:

- `wxFilePickerCtrl`

- `wxDirPickerCtrl`

This class is derived, and can use functions, from:

- `wxCommandEvent`

- `wxEvent`

wxWidgets docs: wxFileDirPickerEvent

## Events

Use `wxEvtHandler:connect/3` with `wxFileDirPickerEventType` to subscribe to events of this type.

## Summary

### Types

wxFileDirPicker()
wxFileDirPickerEvent()
wxFileDirPickerEventType()

### Functions

getPath(This)

Retrieve the absolute path of the file/directory the user has just selected.

## Types

# wxFileDirPicker()

    -type wxFileDirPicker() ::
              #wxFileDirPicker{type :: wxFileDirPickerEvent:wxFileDirPickerEventType(),
                               path :: unicode:chardata()}.

# wxFileDirPickerEvent()

    -type wxFileDirPickerEvent() :: wx:wx_object().

# wxFileDirPickerEventType()

    -type wxFileDirPickerEventType() :: command_filepicker_changed | command_dirpicker_changed.

## Functions

# getPath(This)

    -spec getPath(This) -> unicode:charlist() when This :: wxFileDirPickerEvent().

Retrieve the absolute path of the file/directory the user has just selected.